# -*- coding: utf-8 -*-
import urllib.request
from bs4 import BeautifulSoup
import re
import os
from gtts import gTTS
from pydub import AudioSegment
from pydub.playback import play
import speech

def gettext(): 
    # Yahoo!のページから水戸の天気を開く
    url = "https://weather.yahoo.co.jp/weather/jp/13/4410.html" #東京
    data = urllib.request.urlopen(url)
 
    # HTMLを解析して取得
    soup = BeautifulSoup(data, 'html.parser')
 
    # classが 'forecastCity' のタグを取得
    tenkiAll = soup.find(class_="forecastCity")

    date = tenkiAll.find_all(class_="date")

    tenki = tenkiAll.find_all(class_="pict")
    high = tenkiAll.find_all(class_="high")
    low = tenkiAll.find_all(class_="low")

    # 天気をしゃべるテキストを設定
    weatherText =  "Yahoo天気情報。東京都。"
    weatherText += "今日、{}は、{}。".format(date[0].text, tenki[0].text)
    weatherText += "最高気温は、{}度、".format(high[0].find("em").text)
    weatherText += "最低気温は、{}度、です。".format(low[0].find("em").text)

    weatherText += "明日、{}は、{}。".format(date[1].text, tenki[1].text)
    weatherText += "最高気温は、{}度、".format(high[1].find("em").text)
    weatherText += "最低気温は、{}度、です。".format(low[1].find("em").text)
 
    # 改行・空白文字を消す
    weatherText = re.sub('\n| ', '', weatherText)
    return str(weatherText)

if __name__ == "__main__":
    wText = gettext()
    print(wText)
    speech.speechja(wText)
